Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		memcached
#Epoch:		0
Version:	1.4.5
Release:	1
License:	BSD
URL:		http://memcached.org/
Group:		System/Libraries
Summary:	distributed memory object caching system
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libevent-devel

%description
Free & open source, high-performance, distributed memory object caching system, generic in nature, but intended for use in speeding up dynamic web applications by alleviating database load.

Memcached is an in-memory key-value store for small chunks of arbitrary data (strings, objects) from results of database calls, API calls, or page rendering.

%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/memcached
%{_mandir}/man1/memcached.1.gz

%files devel
%defattr(-,root,root)
%{_includedir}/memcached/protocol_binary.h

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Sat Jul 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.4.5-1
- initial CCux package release
